summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-java/tomcat-servlet-api/tomcat-servlet-api-8.0.43.ebuild')
-rw-r--r--dev-java/tomcat-servlet-api/tomcat-servlet-api-8.0.43.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/dev-java/tomcat-servlet-api/tomcat-servlet-api-8.0.43.ebuild b/dev-java/tomcat-servlet-api/tomcat-servlet-api-8.0.43.ebuild
new file mode 100644
index 00000000000..585cc884932
--- /dev/null
+++ b/dev-java/tomcat-servlet-api/tomcat-servlet-api-8.0.43.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+JAVA_PKG_IUSE="source"
+
+inherit eutils java-pkg-2 java-ant-2
+
+MY_A="apache-${P}-src"
+MY_P="${MY_A/-servlet-api/}"
+DESCRIPTION="Tomcat's Servlet API 3.1/JSP API 2.3/EL API 3.0 implementation"
+HOMEPAGE="http://tomcat.apache.org/"
+SRC_URI="mirror://apache/tomcat/tomcat-8/v${PV}/src/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="3.1"
+KEYWORDS="~amd64 ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND=">=virtual/jdk-1.7"
+RDEPEND=">=virtual/jre-1.7"
+
+S="${WORKDIR}/${MY_P}/"
+
+java_prepare() {
+ cp "${FILESDIR}/${SLOT}-build.xml" build.xml || die "Could not replace build.xml"
+ rm -fR */*/build.xml
+ einfo "Removing bundled jars and classes"
+ find "${S}" '(' -name '*.class' -o -name '*.jar' ')' -exec rm -frv {} +
+}
+
+src_install() {
+ java-pkg_dojar "${S}"/output/build/lib/*.jar
+ use source && java-pkg_dosrc java/javax/servlet/
+}